<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PoInward extends Model
{
    use SoftDeletes;
    protected $table='po_inward';

    public function purchase_order(){
        return $this->belongsTo(PurchaseOrder::class,'purchase_order_id')->withTrashed();
    }

    public function transporter_details(){
        return $this->belongsTo(TranspoterDetails::class,'transporter_details_id');
    }
    public function store(){
        return $this->belongsTo(Store::class,'store_id')->withTrashed();
    }
    public function reviewed_by_user(){
        return $this->belongsTo(User::class,'reviewed_by_user_id');
    }

}
